Bug 467490 - Review Request: nwsserver - NetWorkSpaces Server for clustering of scripting languages
Review Request: nwsserver - NetWorkSpaces Server for clustering of scripting ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 14:33 EDT by Tom "spot" Callaway
Modified: 2009-03-09 19:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.5.2-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-10-17 14:33:25 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/nwsserver.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/nwsserver-1.5.2-1.fc10.src.rpm
Description: 
NetWorkSpaces (NWS) is a powerful, open-source software package that makes it
easy to use clusters from within scripting languages like Python, R, and
Matlab. It uses a Space-based approach, similar to JavaSpaces (TM) for
example, that makes it easier to write distributed applications. NWS looks and
feels like a conventional workspace in the base scripting language, enables
network script processes to share data, provides general distributed/parallel
script execution, runs network script processes either uncoupled or
coordinated, and dramatically increases developer productivity in implementing
and maintaining distributed applications because of its anonymous
communication.
Comment 1 Richard W.M. Jones 2009-03-06 10:25:13 EST
rpmlint is silent.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1226938
Comment 2 Richard W.M. Jones 2009-03-06 10:34:30 EST
+ rpmlint output
+ package name satisfies the packaging naming guidelines

Although implemented in python, this is just a general program,
and the name of the program is acceptable to Fedora.

+ specfile name matches the package base name
+ package should satisfy packaging guidelines

Also checked Python guidelines, and OK.

+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file

There isn't a license file, but %doc includes the nearest thing,
and all source files are marked with the license anyway.

+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm

d321ae5fd3a363167ac27f7959b56c8a / 22331 bytes

+ package successfully builds on at least one architecture
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

? if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock
+ the package should build into binary RPMs on all supported architectures
- review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin
Comment 3 Richard W.M. Jones 2009-03-06 10:35:09 EST
----------
This package is APPROVED by rjones
----------
Comment 4 Tom "spot" Callaway 2009-03-06 15:20:59 EST
New Package CVS Request
=======================
Package Name: nwsserver
Short Description: NetWorkSpaces Server for clustering of scripting languages
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

... and it's done.
Comment 5 Fedora Update System 2009-03-06 15:53:14 EST
nwsserver-1.5.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nwsserver-1.5.2-2.fc9
Comment 6 Fedora Update System 2009-03-06 15:53:18 EST
nwsserver-1.5.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nwsserver-1.5.2-2.fc10
Comment 7 Fedora Update System 2009-03-09 18:54:08 EDT
nwsserver-1.5.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-03-09 19:01:48 EDT
nwsserver-1.5.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.